Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1787784

Summary: gpsd-3.20 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: gpsdAssignee: Miroslav Lichvar <mlichvar>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: besser82, mail, mlichvar, TicoTimo
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gpsd-3.20-1.fc33 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-06-18 18:44:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Upstream Release Monitoring 2020-01-05 08:53:34 UTC
Latest upstream release: 3.20
Current version/release in rawhide: 3.19-4.fc32
URL: https://gpsd.gitlab.io/gpsd/index.html

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/6846/

Comment 1 Miroslav Lichvar 2020-01-21 11:08:09 UTC
There are some non-trivial changes in the API, which will probably require patching of the libgps applications.

Comment 2 Miroslav Lichvar 2020-01-23 07:45:54 UTC
Unfortunately, an update was already made in rawhide. Unless someone can quickly provide patches for the libgps applications, I suspect we'll need to revert to 3.19 with an epoch bump.

Comment 3 Miroslav Lichvar 2020-01-28 13:07:06 UTC
As the F32 mass rebuild is starting, I have reverted the package to 3.19 to give us more time to prepare for 3.20.

Comment 4 Björn 'besser82' Esser 2020-06-18 18:44:12 UTC
https://bodhi.fedoraproject.org/updates/FEDORA-2020-bc46691249